| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::PlaneBoundedVolume Class Reference
Core » Math

Represents a convex volume bounded by planes. More...

`#include <OgrePlaneBoundedVolume.h>`

## Public Types
typedef std::vector< Plane > | PlaneList

## Public Member Functions
| PlaneBoundedVolume ()
| PlaneBoundedVolume (Plane::Side theOutside)
| Constructor, determines which side is deemed to be 'outside'. More...
bool | intersects (const AxisAlignedBox &box) const
| Intersection test with AABB. More...
bool | intersects (const Sphere &sphere) const
| Intersection test with Sphere. More...
std::pair< bool, Real > | intersects (const Ray &ray)
| Intersection test with a Ray. More...

## Public Attributes
Plane::Side | outside
PlaneList | planes
| Publicly accessible plane list, you can modify this direct. More...

## Detailed Description

Represents a convex volume bounded by planes.

## Member Typedef Documentation

## ◆ PlaneList

typedef std::vector<Plane> Ogre::PlaneBoundedVolume::PlaneList

## Constructor & Destructor Documentation

## ◆ PlaneBoundedVolume() [1/2]

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( |  | ) |
| inline

## ◆ PlaneBoundedVolume() [2/2]

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( | Plane::Side | theOutside | ) |
| inline

Constructor, determines which side is deemed to be 'outside'.

## Member Function Documentation

## ◆ intersects() [1/3]

bool Ogre::PlaneBoundedVolume::intersects | ( | const AxisAlignedBox & | box | ) | const
| inline

Intersection test with AABB.

Remarks
  May return false positives but will never miss an intersection.

References Ogre::AxisAlignedBox::getCenter(), Ogre::AxisAlignedBox::getHalfSize(), Ogre::Plane::getSide(), Ogre::AxisAlignedBox::isInfinite(), and Ogre::AxisAlignedBox::isNull().

## ◆ intersects() [2/3]

bool Ogre::PlaneBoundedVolume::intersects | ( | const Sphere & | sphere | ) | const
| inline

Intersection test with Sphere.

Remarks
  May return false positives but will never miss an intersection.

References Ogre::Sphere::getCenter(), Ogre::Plane::getDistance(), Ogre::Sphere::getRadius(), and Ogre::Plane::NEGATIVE_SIDE.

## ◆ intersects() [3/3]

std::pair<bool, Real> Ogre::PlaneBoundedVolume::intersects | ( | const Ray & | ray | ) |
| inline

Intersection test with a Ray.

Returns
  std::pair of hit (bool) and distance

Remarks
  May return false positives but will never miss an intersection.

References Ogre::Math::intersects(), and Ogre::Plane::POSITIVE_SIDE.

## Member Data Documentation

## ◆ planes

PlaneList Ogre::PlaneBoundedVolume::planes

Publicly accessible plane list, you can modify this direct.

Referenced by Ogre::Ray::intersects().

## ◆ outside

Plane::Side Ogre::PlaneBoundedVolume::outside

Referenced by Ogre::Ray::intersects().

The documentation for this class was generated from the following file:

- OgrePlaneBoundedVolume.h